Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class Cassandra.describe_cluster_name_result

    java.lang.Object
      org.apache.cassandra.thrift.Cassandra.describe_cluster_name_result

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.describe_cluster_name_result>, org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>

Enclosing class:
  Cassandra

    public static class Cassandra.describe_cluster_name_result

extends java.lang.Object
implements org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<Cassandra.describe_cluster_name_result>

See Also:
  Serialized Form

Nested Class Summary
`static class` | `Cassandra.describe_cluster_name_result._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

Field Summary
`static java.util.Map<Cassandra.describe_cluster_name_result._Fields,org.apache.thrift.meta_data.FieldMetaData>` | `metaDataMap`
`java.lang.String` | `success`

Constructor Summary
`Cassandra.describe_cluster_name_result()`
`Cassandra.describe_cluster_name_result(Cassandra.describe_cluster_name_result other)` Performs a deep copy on other.
`Cassandra.describe_cluster_name_result(java.lang.String success)`

Method Summary
`Cassandra.describe_cluster_name_result` | `clone()` Deprecated.
`int` | `compareTo(Cassandra.describe_cluster_name_result other)`
`Cassandra.describe_cluster_name_result` | `deepCopy()`
`boolean` | `equals(Cassandra.describe_cluster_name_result that)`
`boolean` | `equals(java.lang.Object that)`
`java.lang.Object` | `getFieldValue(Cassandra.describe_cluster_name_result._Fields field)`
`java.lang.Object` | `getFieldValue(int fieldId)`
`java.lang.String` | `getSuccess()`
`int` | `hashCode()`
`boolean` | `isSet(Cassandra.describe_cluster_name_result._Fields field)` Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise
`boolean` | `isSet(int fieldID)`
`boolean` | `isSetSuccess()` Returns true if field success is set (has been asigned a value) and false otherwise
`void` | `read(org.apache.thrift.protocol.TProtocol iprot)`
`void` | `setFieldValue(Cassandra.describe_cluster_name_result._Fields field, java.lang.Object value)`
`void` | `setFieldValue(int fieldID, java.lang.Object value)`
`Cassandra.describe_cluster_name_result` | `setSuccess(java.lang.String success)`
`void` | `setSuccessIsSet(boolean value)`
`java.lang.String` | `toString()`
`void` | `unsetSuccess()`
`void` | `validate()`
`void` | `write(org.apache.thrift.protocol.TProtocol oprot)`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### success

    public java.lang.String success

### metaDataMap

    public static final java.util.Map<Cassandra.describe_cluster_name_result._Fields,org.apache.thrift.meta_data.FieldMetaData> metaDataMap

Constructor Detail

### Cassandra.describe_cluster_name_result

    public Cassandra.describe_cluster_name_result()

### Cassandra.describe_cluster_name_result

    public Cassandra.describe_cluster_name_result(java.lang.String success)

### Cassandra.describe_cluster_name_result

    public Cassandra.describe_cluster_name_result(Cassandra.describe_cluster_name_result other)

  Performs a deep copy on other.

Method Detail

### deepCopy

    public Cassandra.describe_cluster_name_result deepCopy()

  Specified by:
    `deepCopy` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`

### clone

    @Deprecated
    public Cassandra.describe_cluster_name_result clone()

  Deprecated.

  Overrides:
    `clone` in class `java.lang.Object`

### getSuccess

    public java.lang.String getSuccess()

### setSuccess

    public Cassandra.describe_cluster_name_result setSuccess(java.lang.String success)

### unsetSuccess

    public void unsetSuccess()

### isSetSuccess

    public boolean isSetSuccess()

  Returns true if field success is set (has been asigned a value) and false otherwise

### setSuccessIsSet

    public void setSuccessIsSet(boolean value)

### setFieldValue

    public void setFieldValue(Cassandra.describe_cluster_name_result._Fields field,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`

### setFieldValue

    public void setFieldValue(int fieldID,
                              java.lang.Object value)

  Specified by:
    `setFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(Cassandra.describe_cluster_name_result._Fields field)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`

### getFieldValue

    public java.lang.Object getFieldValue(int fieldId)

  Specified by:
    `getFieldValue` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`

### isSet

    public boolean isSet(Cassandra.describe_cluster_name_result._Fields field)

  Returns true if field corresponding to fieldID is set (has been asigned a value) and false otherwise

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`

### isSet

    public boolean isSet(int fieldID)

  Specified by:
    `isSet` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`

### equals

    public boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(Cassandra.describe_cluster_name_result that)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### compareTo

    public int compareTo(Cassandra.describe_cluster_name_result other)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Cassandra.describe_cluster_name_result>`

### read

    public void read(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

  Specified by:
    `read` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`
  Throws:
    `org.apache.thrift.TException`

### write

    public void write(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

  Specified by:
    `write` in interface `org.apache.thrift.TBase<Cassandra.describe_cluster_name_result._Fields>`
  Throws:
    `org.apache.thrift.TException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    public void validate()
                  throws org.apache.thrift.TException

  Throws:
    `org.apache.thrift.TException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation